GDAL

Public Member Functions | List of all members
IOGRGeometryVisitor Class Referenceabstract

OGRGeometry visitor interface. More...

`#include <ogr_geometry.h>`

Inheritance diagram for IOGRGeometryVisitor:

## Public Member Functions
virtual | ~IOGRGeometryVisitor ()=default
| Destructor/.
virtual void | visit (OGRPoint *)=0
| Visit OGRPoint.
virtual void | visit (OGRLineString *)=0
| Visit OGRLineString.
virtual void | visit (OGRLinearRing *)=0
| Visit OGRLinearRing.
virtual void | visit (OGRPolygon *)=0
| Visit OGRPolygon.
virtual void | visit (OGRMultiPoint *)=0
| Visit OGRMultiPoint.
virtual void | visit (OGRMultiLineString *)=0
| Visit OGRMultiLineString.
virtual void | visit (OGRMultiPolygon *)=0
| Visit OGRMultiPolygon.
virtual void | visit (OGRGeometryCollection *)=0
| Visit OGRGeometryCollection.
virtual void | visit (OGRCircularString *)=0
| Visit OGRCircularString.
virtual void | visit (OGRCompoundCurve *)=0
| Visit OGRCompoundCurve.
virtual void | visit (OGRCurvePolygon *)=0
| Visit OGRCurvePolygon.
virtual void | visit (OGRMultiCurve *)=0
| Visit OGRMultiCurve.
virtual void | visit (OGRMultiSurface *)=0
| Visit OGRMultiSurface.
virtual void | visit (OGRTriangle *)=0
| Visit OGRTriangle.
virtual void | visit (OGRPolyhedralSurface *)=0
| Visit OGRPolyhedralSurface.
virtual void | visit (OGRTriangulatedSurface *)=0
| Visit OGRTriangulatedSurface.

## Detailed Description

OGRGeometry visitor interface.

Since
  GDAL 2.3

## Member Function Documentation

## ◆ visit() [1/16]

virtual void IOGRGeometryVisitor::visit | ( | OGRCircularString * |  | ) |
| pure virtual

Visit OGRCircularString.

Implemented in OGRDefaultGeometryVisitor.

## ◆ visit() [2/16]

virtual void IOGRGeometryVisitor::visit | ( | OGRCompoundCurve * |  | ) |
| pure virtual

Visit OGRCompoundCurve.

Implemented in OGRDefaultGeometryVisitor.

## ◆ visit() [3/16]

virtual void IOGRGeometryVisitor::visit | ( | OGRCurvePolygon * |  | ) |
| pure virtual

Visit OGRCurvePolygon.

Implemented in OGRDefaultGeometryVisitor.

## ◆ visit() [4/16]

virtual void IOGRGeometryVisitor::visit | ( | OGRGeometryCollection * |  | ) |
| pure virtual

Visit OGRGeometryCollection.

Implemented in OGRDefaultGeometryVisitor.

## ◆ visit() [5/16]

virtual void IOGRGeometryVisitor::visit | ( | OGRLinearRing * |  | ) |
| pure virtual

Visit OGRLinearRing.

Implemented in OGRDefaultGeometryVisitor.

## ◆ visit() [6/16]

virtual void IOGRGeometryVisitor::visit | ( | OGRLineString * |  | ) |
| pure virtual

Visit OGRLineString.

Implemented in OGRDefaultGeometryVisitor.

## ◆ visit() [7/16]

virtual void IOGRGeometryVisitor::visit | ( | OGRMultiCurve * |  | ) |
| pure virtual

Visit OGRMultiCurve.

Implemented in OGRDefaultGeometryVisitor.

## ◆ visit() [8/16]

virtual void IOGRGeometryVisitor::visit | ( | OGRMultiLineString * |  | ) |
| pure virtual

Visit OGRMultiLineString.

Implemented in OGRDefaultGeometryVisitor.

## ◆ visit() [9/16]

virtual void IOGRGeometryVisitor::visit | ( | OGRMultiPoint * |  | ) |
| pure virtual

Visit OGRMultiPoint.

Implemented in OGRDefaultGeometryVisitor.

## ◆ visit() [10/16]

virtual void IOGRGeometryVisitor::visit | ( | OGRMultiPolygon * |  | ) |
| pure virtual

Visit OGRMultiPolygon.

Implemented in OGRDefaultGeometryVisitor.

## ◆ visit() [11/16]

virtual void IOGRGeometryVisitor::visit | ( | OGRMultiSurface * |  | ) |
| pure virtual

Visit OGRMultiSurface.

Implemented in OGRDefaultGeometryVisitor.

## ◆ visit() [12/16]

virtual void IOGRGeometryVisitor::visit | ( | OGRPoint * |  | ) |
| pure virtual

Visit OGRPoint.

Implemented in OGRDefaultGeometryVisitor.

## ◆ visit() [13/16]

virtual void IOGRGeometryVisitor::visit | ( | OGRPolygon * |  | ) |
| pure virtual

Visit OGRPolygon.

Implemented in OGRDefaultGeometryVisitor.

## ◆ visit() [14/16]

virtual void IOGRGeometryVisitor::visit | ( | OGRPolyhedralSurface * |  | ) |
| pure virtual

Visit OGRPolyhedralSurface.

Implemented in OGRDefaultGeometryVisitor.

## ◆ visit() [15/16]

virtual void IOGRGeometryVisitor::visit | ( | OGRTriangle * |  | ) |
| pure virtual

Visit OGRTriangle.

Implemented in OGRDefaultGeometryVisitor.

## ◆ visit() [16/16]

virtual void IOGRGeometryVisitor::visit | ( | OGRTriangulatedSurface * |  | ) |
| pure virtual

Visit OGRTriangulatedSurface.

Implemented in OGRDefaultGeometryVisitor.

The documentation for this class was generated from the following file:

- ogr_geometry.h